ExpenseSheetCreateRequest
Request body schema for creating an Expense Entry Sheet.
Sheet owner user ID
aliceArray of dates for the sheet period (YYYYMMDD format)
Possible values: Value must match regular expression ^\d{8}$
["20251109","20251110","20251111","20251112","20251113","20251114","20251115"]Whether to immediately submit the sheet after creation
falseIANA timezone name (e.g. America/Chicago) representing the client's
current timezone at the time of the save request. Used to set the
record_timezone on newly created time records. If omitted, the server
falls back to the user's default_timezone setting, then to the
server's local timezone. Invalid timezone strings will cause a
400 Bad Request error. Windows timezone names (e.g. "Central Standard
Time") are also accepted and will be converted to the canonical IANA name.
America/ChicagoOptional entry data to populate the sheet.
See the complete Time Sheet schema
for all of the available fields, including discussion of the important
rows field.
See also the Entry Sheet API tutorial.
{
"id_user": "alice",
"dates": [
"20251109",
"20251110",
"20251111",
"20251112",
"20251113",
"20251114",
"20251115"
],
"submit": false,
"timezone": "America/Chicago",
"rows": [
{}
]
}